netgen (6.2.2606+dfsg1-1) unstable; urgency=medium

  * New upstream version

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 13 Aug 2026 16:08:11 +0000

netgen (6.2.2604+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Remove unrecognized options from d/watch
  * Drop libsrc/occ/Partition_*.hxx from netgen-headers.install, since the files
    are gone upstream.

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 30 Apr 2026 18:04:41 +0000

netgen (6.2.2603+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.4 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 27 Apr 2026 06:14:00 +0000

netgen (6.2.2601+dfsg1-3) unstable; urgency=medium

  * Pass -flax-vector-conversions to CXXFLAGS on arm64 also in
    debian/tests/netgen-test-cpp
  * Drop redundant Priority field from d/control

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 22 Feb 2026 06:40:09 +0000

netgen (6.2.2601+dfsg1-2) unstable; urgency=medium

  * Add -flax-vector-conversions to CXXFLAGS on arm64 to avoid build failures
    due to conversion errors. An issue is already open upstream at
    https://github.com/NGSolve/netgen/issues/226

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 12:18:42 +0000

netgen (6.2.2601+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add Francesco Ballarin to uploaders.
  * Standards-Version: 4.7.3 (routine-update)
  * Update watch file format version to 5.
  * Add dversionmangle for repack versioning in debian/watch.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * Set upstream metadata fields: Bug-Database, Repository.
  * debputy lint --auto-fix (routine-update)
  * Apply multi-arch hint:
    - netgen-headers: Add Multi-Arch: same.
  * Add debian/clean (from Alexandre Detiste)
  * Add debian/salsa-ci.yml (from Alexandre Detiste)
  * Use dh-sequence-python3 (from Alexandre Detiste)
  * Drop "Rules-Requires-Root: no", as it is the default now (from Alexandre
    Detiste)
  * Refresh patches
  * Add link-libjpeg-netgen-exec.patch to force netgen executable to link
    libjpeg.
  * Fix lintian warning old-fsf-address-in-copyright-file.

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 10:18:29 +0000

netgen (6.2.2501+dfsg1-12) unstable; urgency=medium

  * Team upload.
  * apply armel test skips to debian/tests (netgen-test-python)

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Apr 2025 15:40:49 +0200

netgen (6.2.2501+dfsg1-11) unstable; urgency=medium

  * Team upload.
  * armel: skip test_BBNDsave
    Now it passes, now it fails. This is madness.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Apr 2025 22:20:09 +0200

netgen (6.2.2501+dfsg1-10) unstable; urgency=medium

  * Team upload.
  * There are too many pytest segfaults on armel.
    Skip all test_geoFiles

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Apr 2025 18:31:12 +0200

netgen (6.2.2501+dfsg1-9) unstable; urgency=medium

  * Team upload.
  * armel: skip test_geoFiles[boundarycondition

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Apr 2025 15:51:37 +0200

netgen (6.2.2501+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * armel: skip test_2_polyhedra and all slow tests
    (internal skips are causing segfaults)

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Apr 2025 12:18:24 +0200

netgen (6.2.2501+dfsg1-7) unstable; urgency=medium

  * Team upload.
  * armel: skip all tests that need ngsolve.  importorskip in-test
    is triggering segfaults on armel

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Apr 2025 00:47:30 +0200

netgen (6.2.2501+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * armel: skip test_wrong_orientation

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Apr 2025 19:03:46 +0200

netgen (6.2.2501+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * armel: skip test_geoFiles[sphereincube

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Apr 2025 09:45:45 +0200

netgen (6.2.2501+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * armel: skip test_geoFiles[cubeandspheres build tests
  * sparc64: skip all occ tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Apr 2025 18:38:53 +0200

netgen (6.2.2501+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * skip failing tests
    - armel: test_boundarylayer2
    - powerpc: actually skip test_geoFiles[sphereincube.geo-mp161-4]
    - sparc64: skip all test_occ (is it a numpy linalg issue?)

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Apr 2025 10:42:40 +0200

netgen (6.2.2501+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * skip failing tests on less common architectures
    - armel: test_mesh_elements_numpy_array_access
    - powerpc: test_geoFiles[sphereincube.geo-mp161-4]
    - sparc64: test_rect_with_two_holes
  * debian/copyright: update FSF address used in LGPL

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Apr 2025 20:08:13 +0200

netgen (6.2.2501+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * reduce debian patch size_t_int32.patch: upstream has added some
    int size checks in table.hpp
  * mark libnglib-dev Multi-Arch: same
  * debian/control: set Homepage: https://github.com/NGSolve/netgen
    to avoid confusion with ngsolve. Also Source in debian/copyright.
  * drop redundant ng/Togl-1.7 exclusions from debian/copyright
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Apr 2025 11:49:01 +0200

netgen (6.2.2404+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 20 Nov 2024 07:37:40 +0000

netgen (6.2.2404+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * fix debian patch ngappinit_no_MPI.patch to explicitly unset
    PARALLEL when compiling ngappinit.cpp rather than removing
    mpi_wrapper.hpp, since mpi_wrapper.hpp is included by other
    components. mpi_wrapper.hpp skips MPI if PARALLEL is not set.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 16:02:00 +0200

netgen (6.2.2404+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian patch ngappinit_no_MPI.patch removes MPI headers
    (core/mpi_wrapper.hpp) from ngappinit.cpp. Needed for mpich
    (32-bit arches), where X11/Xlib.h (via tcl/tk.h from inctcl.hpp)
    defines Status as type int, while mpich mpi.h defines Status as a
    class. MPI is not needed in ngappinit.cpp. Evidently the MPI
    header was missed in upstream commit c2af423.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 14:15:09 +0200

netgen (6.2.2404+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * update list of test_geoFiles to skip on non-amd64 arches
    (8 more cases added)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 00:09:46 +0200

netgen (6.2.2404+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch occt78.patch
    - build mpi4py explicitly with USE_MPI4PY=ON
    - python3-netgen installs
      /usr/lib/python3/dist-packages/netgen_mesher-py3.egg-info
  * update manpages to Homepage: https://ngsolve.org/
    See Bug#931082.
  * debian patch include_stdlib.patch fixes encoding.hpp
    to include std C++ libs (string, cerr, endl)
  * update libnglib-6.2t64.lintian-overrides
    package-name-doesnt-match-sonames
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 20:02:55 +0200

netgen (6.2.2401+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Skip running test_mpi4py.py when debian/tests/netgen-test-python is
    triggered by debci on 32 bits archs. The pytest session seems to hang, and
    manually running the affected test on armhf shows
        Assertion failed in file
          src/mpi/datatype/typerep/src/typerep_dataloop_pack.c at line 136:
          FALSE
        memcpy argument memory ranges overlap, dst_=0x407ff6f8 src_=0x407ff6f4
          len_=8
        internal ABORT - process N

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 31 Aug 2024 07:06:11 +0000

netgen (6.2.2401+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add -ffloat-store to CXXFLAGS when building on i386. Closes: #1077513.
    Thanks to Adrian Bunk <bunk@debian.org> for the suggestion.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 10:20:05 +0000

netgen (6.2.2401+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to support opencascade 7.8.1 (Closes: #1071223)
    and add a versioned B-D constraint on it.

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 21:57:58 +0200

netgen (6.2.2401+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063169

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:47:41 +0000

netgen (6.2.2401+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 12:44:18 +0100

netgen (6.2.2305+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * new upstream release in unstable. Closes: #1016430.
  * debian/tests: skip the MPI python test on i386 and armhf,
    where it is found to unreliably segfault
  * update debian patch size_t_int32.patch to define pyngcore.Array_I_S
    as Array_I_U on 32 bit systems where it is not defined by
    python_ngcore_export.cpp. Then tests do not require patching.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Nov 2023 13:36:54 +0100

netgen (6.2.2305+dfsg1-1exp6) experimental; urgency=medium

  * Team upload.
  * update debian/tests
    - cpp test Depends: netgen
      (needed since referenced by cmake config files)
    - python test Depends: gcc
      (needed to use dpkg-architecture without CC warning in stderr)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2023 09:03:36 +0100

netgen (6.2.2305+dfsg1-1exp5) experimental; urgency=medium

  * Team upload.
  * libnglib-dev Depends: pybind11-dev, since netgen was built with
    python support (NETGEN_PYTHON is set in core/register_archive.hpp).
  * libnglib-dev Recommends: python3-netgen, since cmake config files
    reference python extension module libngpy. Recommends not Depends,
    since libnglib-dev could be used without cmake.
  * debian/tests: split tests into cpp and python tests to allow
    skipping selected python tests (the same set from
    test_tutorials.py::test_geoFiles skipped in build tests)

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Nov 2023 20:26:52 +0100

netgen (6.2.2305+dfsg1-1exp4) experimental; urgency=medium

  * Team upload.
  * debian/tests Depends: mpi-default-dev
  * i386: skip build tests boxcyl.geo-mp10-4 hinge.stl-mp95-1 lense
    square
  * debian patch link_atomic.patch links libngcore.so with libatomic
    on systems where atomic symbols are not provided internally (some
    32-bit arches including armel, m68k, powerpc, sh4). Link as
    INTERFACE not PRIVATE (or PUBLIC) since libngcore.so itself does
    not use atomic symbols (they are used inline in core/utils.hpp).
    cf. https://github.com/google/highway/pull/1008 for the pattern.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Nov 2023 16:42:31 +0100

netgen (6.2.2305+dfsg1-1exp3) experimental; urgency=medium

  * Team upload.
  * provide all official (public) installed headers in libnglib-dev.
    Only provide private (libsrc) headers in netgen-headers, moved to
    /usr/share/netgen/libsrc. File a bug report if salome has fixed
    their build so we can drop netgen-headers (see Bug#683661).
  * update debian patch size_t_int32.patch to avoid "redefinition" of
    Array<size_t> in 32-bit python bindings. This means
    pyngcore.Array_I_S is not available on 32 bit systems
    (use Array_I_U instead).

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 19:53:47 +0100

netgen (6.2.2305+dfsg1-1exp2) experimental; urgency=medium

  * Team upload.
  * skip a subset of build tests on non-amd64 architectures
    From test_tutorials.py::test_geoFiles: skip a subset from
    boxcyl.geo, cylsphere.geo, hinge.stl, part1.stl, sculpture.geo,
    sphereincube.geo, twobricks.geo, twocubes.geo
    (see upstream Issue #167)
  * debian patch size_t_int32.patch skips definition of TablePrefixSum
    (FlatArray<size_t>) on 32-bit systems where size_t = unsigned int.
    (see upstream Issue #168)
  * fix renaming of python extension .so in cmake config file

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 13:23:20 +0100

netgen (6.2.2305+dfsg1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies or deprecates debian patches add-sse-guard.patch,
      fix-arm-pickling.patch, fix-occt-7.4.patch,
      fix-occt-7.6.0-ftbfs-*.patch, fix-pybind11-include.patch
    - configure pybind11 with PREFER_SYSTEM_PYBIND11=ON
    - fixes MPI initialisation. Closes: #910247.
  * update debian patch catch2_v3.patch to new catch test files
  * update debian/watch to uscan version 4
  * configure with BUILD_STUB_FILES=OFF. Stub files (which improve
    autocompletion) require pybind11-stubgen, which is not (yet)
    packaged for Debian.
  * add debian patches
    - fix_nggui_tcl.patch repairs TCL include path for the
      nggui (occ) target. cf. upstream Issue#166.
    - no_pytest_check.patch disables use of pytest_check, which is not
      (yet) packaged for Debian.
    - cmake_install_dir.patch uses GNUInstallDirs to set install dirs
      Closes: #1033129, #924300.
    - ffmpeg_link_libraries.patch links libnggui to FFMPEG_LIBRARIES
      cf. upstream issue #157. Closes: #751344.
  * update debian patch fix-version.patch to use MAJOR.MINOR soversion
    - set version using NETGEN_VERSION_GIT via debian changelog
    - provide NETGEN_VERSION_GIT in generate_version_file rule
  * build with CMAKE_SKIP_RPATH=ON
  * doc package includes ng4.pdf (v4 documentation)
    - register with doc-base
  * mark netgen-doc Multi-Arch: foreign
  * activate JPEG and MPEG (avcodec) support. Closes: #751344.
    - Build-Depends: libavformat-dev
      (which depends on libavcodec-dev, libavutil-dev)
  * activate MPI support on all arches
    - Build-Depends: mpi-default-dev, python3-mpi4py
  * Build-Depends: libtbb-dev (not used directly by netgen, should
    one of the dependencies be declaring it?)
  * debian/rules: after dh_python3, update location of python
    extension libraries listed in netgen's cmake config files
    (dh_python3 injects a cython tag). Apply to default python version.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Nov 2023 20:47:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-11) unstable; urgency=medium

  * Team upload.
  * debian/tests Restrictions: allow-stderr to aid migration to
    testing. c++/13/functional on armel and armhf emits warnings to
    stderr when used by catch2 v2. Remove restriction later after
    catch2 v3 has migrated to testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Nov 2023 09:55:44 +0100

netgen (6.2.2006+really6.2.1905+dfsg-10) unstable; urgency=medium

  * Team upload.
  * update debian patch catch2_v3.patch to use catch2 subdir when
    #including old catch2 v2. Then no need to define CATCH_INCLUDE_DIR.

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Nov 2023 20:16:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: catch2

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2023 12:58:38 +0100

netgen (6.2.2006+really6.2.1905+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: netgen, python3-pybind11
  * libnglib-dev Recommends: netgen
    (netgen's cmake config files expect /usr/bin/netgen)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 17:36:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: gcc, g++, python3-dev
    (aiming to test a minimal installation without using @builddeps@)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 11:35:03 +0100

netgen (6.2.2006+really6.2.1905+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian patch catch2_v3.patch enables test build with catch2 v3
    Closes: #1054678.
  * dh_clean removes python test cache files. Closes: #1048629.
  * debian patch test_runtime.patch enables runtime test configuration
  * debian/tests/netgen-test builds and runs runtime tests
    (without rebuilding netgen libraries)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 02:03:32 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnglib-6.2t64`.
